db-jdo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Bouschen <mbo.t...@spree.de>
Subject Re: Upgrade derby version in tck20
Date Wed, 31 Aug 2005 09:12:54 GMT
Hi,

I checked in the derby upgrade.

I did a clean run uisng the new derby version. I did not try to run a 
database schema that was created using the previous derby version. So 
you might want to reinstall the schema (maven installSchema) in case you 
detect problems.

Regards Michael

> Hi Michael,
> 
> +1.
> 
> Craig
> 
> On Aug 30, 2005, at 4:41 AM, Michael Bouschen wrote:
> 
>> Hi,
>>
>> derby recently released version 10.1.1.0 and graduated from apache
>> incubator. So how about upgrading the derby version in tck20? The major
>> reason is that the new derby version is available from ibiblio, so it
>> will be automatically downloaded by maven. With this change all the
>> dependencies as specified in tck20/project.xml can be resolved
>> automatically. We still need to manually download the JNDI
>> implementation (fscontext.jar and providerutil.jar) for running the tck
>> (no compile-time dependency).
>>
>> I adapted the README.txt under trunk and removed the text about manual
>> downloads for JPOX and derby. Attached you find a patch for review
>> changing the README, tck20/project.xml and tck20/project.properties.
>> Running the tck with derby 10.1.1.0 results in the same number of errors
>> and failures.
>>
>> Regards Michael
>> -- 
>> Michael Bouschen        Tech@Spree Engineering GmbH
>> mailto:mbo.tech@spree.de    http://www.tech.spree.de/
>> Tel.:++49/30/235 520-33        Buelowstr. 66            
>> Fax.:++49/30/2175 2012        D-10783 Berlin            
>>
>>
>>
>>
>>
>>
>>
>> Index: tck20/project.properties
>> ===================================================================
>> --- tck20/project.properties    (revision 264718)
>> +++ tck20/project.properties    (working copy)
>> @@ -65,8 +65,8 @@
>>  spring.jarfile = ${pom.getDependencyPath('springframework:spring-core')}
>>  logging.jarfile = ${pom.getDependencyPath('commons-logging')}
>>  log4j.jarfile = ${pom.getDependencyPath('log4j')}
>> -derby.jarfile = ${pom.getDependencyPath('derby:derby')}
>> -derbytools.jarfile = ${pom.getDependencyPath('derby:derbytools')}
>> +derby.jarfile = ${pom.getDependencyPath('org.apache.derby:derby')}
>> +derbytools.jarfile = 
>> ${pom.getDependencyPath('org.apache.derby:derbytools')}
>>  core20.jarfile = ${pom.getDependencyPath('apache-jdo:jdo2-core')}
>>  enhancer20.jarfile = ${pom.getDependencyPath('apache-jdo:jdo2-enhancer')}
>>  xmlparser =
>> Index: tck20/project.xml
>> ===================================================================
>> --- tck20/project.xml    (revision 264747)
>> +++ tck20/project.xml    (working copy)
>> @@ -36,18 +36,48 @@
>>      <!-- ============ -->
>>      <dependencies>
>>          <dependency>
>> -            <groupId>junit</groupId>
>> -            <artifactId>junit</artifactId>
>> -            <version>3.8.1</version>
>> +            <groupId>apache-jdo</groupId>
>> +            <artifactId>jdo2-api</artifactId>
>> +            <version>SNAPSHOT</version>
>>          </dependency>
>> -        <!-- You must manually download jpox until it is available 
>> from ibiblio.org -->
>>          <dependency>
>> +            <groupId>apache-jdo</groupId>
>> +            <artifactId>jdo2-enhancer</artifactId>
>> +            <version>SNAPSHOT</version>
>> +        </dependency>
>> +        <dependency>
>> +            <groupId>apache-jdo</groupId>
>> +            <artifactId>jdo2-core</artifactId>
>> +            <version>SNAPSHOT</version>
>> +        </dependency>
>> +        <dependency>
>>              <groupId>jpox</groupId>
>>              <artifactId>jpox</artifactId>
>>              <version>SNAPSHOT</version>
>>              <url>http://www.jpox.org/docs/download.html</url>
>>          </dependency>
>>          <dependency>
>> +            <groupId>jpox</groupId>
>> +            <artifactId>jpox-enhancer</artifactId>
>> +            <version>SNAPSHOT</version>
>> +            <url>http://www.jpox.org/docs/download.html</url>
>> +        </dependency>
>> +        <dependency>
>> +            <groupId>org.apache.derby</groupId>
>> +            <artifactId>derby</artifactId>
>> +            <version>10.1.1.0</version>
>> +        </dependency>
>> +        <dependency>
>> +            <groupId>org.apache.derby</groupId>
>> +            <artifactId>derbytools</artifactId>
>> +            <version>10.1.1.0</version>
>> +        </dependency>
>> +        <dependency>
>> +            <groupId>junit</groupId>
>> +            <artifactId>junit</artifactId>
>> +            <version>3.8.1</version>
>> +        </dependency>
>> +        <dependency>
>>              <groupId>bcel</groupId>
>>              <artifactId>bcel</artifactId>
>>              <version>5.1</version>
>> @@ -64,46 +94,15 @@
>>              <version>1.0.4</version>
>>          </dependency>
>>          <dependency>
>> -            <groupId>derby</groupId>
>> -            <artifactId>derby</artifactId>
>> -            <version>10.0.2.1</version>
>> -        </dependency>
>> -        <dependency>
>>              <groupId>geronimo-spec</groupId>
>>              <artifactId>geronimo-spec-jta</artifactId>
>>              <version>1.0.1B-rc2</version>
>>          </dependency>
>>          <dependency>
>> -            <groupId>apache-jdo</groupId>
>> -            <artifactId>jdo2-api</artifactId>
>> -            <version>SNAPSHOT</version>
>> -        </dependency>
>> -        <dependency>
>> -            <groupId>jpox</groupId>
>> -            <artifactId>jpox-enhancer</artifactId>
>> -            <version>SNAPSHOT</version>
>> -            <url>http://www.jpox.org/docs/download.html</url>
>> -        </dependency>
>> -        <dependency>
>>              <groupId>springframework</groupId>
>>              <artifactId>spring-core</artifactId>
>>              <version>1.1.3</version>
>>          </dependency>
>> -        <dependency>
>> -            <groupId>derby</groupId>
>> -            <artifactId>derbytools</artifactId>
>> -            <version>10.0.2.1</version>
>> -        </dependency>
>> -        <dependency>
>> -            <groupId>apache-jdo</groupId>
>> -            <artifactId>jdo2-enhancer</artifactId>
>> -            <version>SNAPSHOT</version>
>> -        </dependency>
>> -        <dependency>
>> -            <groupId>apache-jdo</groupId>
>> -            <artifactId>jdo2-core</artifactId>
>> -            <version>SNAPSHOT</version>
>> -        </dependency>
>>          <!-- dependencies for connection pooling -->
>>          <dependency>
>>              <groupId>jpox</groupId>
>> Index: README.txt
>> ===================================================================
>> --- README.txt    (revision 264718)
>> +++ README.txt    (working copy)
>> @@ -46,27 +46,14 @@
>>  the downloaded zip. It includes the jars fscontext.jar and 
>> providerutil.jar.
>>
>>  - JPOX
>> -The Reference Implementation for JDO 2.0 is JPOX. To run tck20 you must
>> -manually add the JPOX jar file and JPOX enhancer jar file to your local
>> -maven repository. Download both jars from
>> -http://www.jpox.org/docs/download.html 
>> <http://www.jpox.org/docs/download.html> and copy them to your local maven
>> -repository, changing the version number to "SNAPSHOT".  You must also
>> -download the jpox plug-ins jpox-c3p0-<version>.jar and 
>> jpox-dbcp-<version>.jar
>> -for connection pooling.
>> -  cp jpox-<version>.jar 
>> $HOME/.maven/repository/jpox/jars/jpox-SNAPSHOT.jar
>> -  cp jpox-enhancer-<version>.jar 
>> $HOME/.maven/repository/jpox/jars/jpox-enhancer-SNAPSHOT.jar
>> -  cp jpox-c3p0-<version>.jar 
>> $HOME/.maven/repository/jpox/jars/jpox-c3p0-SNAPSHOT.jar
>> -  cp jpox-dbcp-<version>.jar 
>> $HOME/.maven/repository/jpox/jars/jpox-dbcp-SNAPSHOT.jar
>> +The Reference Implementation for JDO 2.0 is JPOX. The tck20 subproject 
>> +automatically downloads the latest JPPOX snapshot.
>>
>> -Finally, you must download c3p0-0.9.0-pre6.bin.zip, unzip it and copy 
>> -c3p0-0.9.0-pre6.jar to $HOME/.maven/repository/c3p0/jars.
>> -
>>  - derby
>> -To use Derby as the datastore for tck20, download version 10.0.2.1 from
>> -http://incubator.apache.org/derby/derby_downloads.html and add derby.jar
>> -and derbytools.jar your maven repository. Rename them to include the 
>> version
>> -number: derby-10.0.2.1.jar and derby-tools-10.0.2.1.jar.  NOTE!! Mac 
>> OSX users
>> -must ncomment derby.storage.fileSyncTransactionLog=true in 
>> tck20/test/conf/derby.properties.
>> +The default datastore for tck20 is derby. The tck20 subproject 
>> +automatically downloads version 10.1.1.0 of derby and derbytools.
>> +NOTE!! Mac OSX users must uncomment 
>> derby.storage.fileSyncTransactionLog=true 
>> +in tck20/test/conf/derby.properties.
>>
>>  -------
>>  Remarks
>>
>>
>>
> 
> Craig Russell
> 
> Architect, Sun Java Enterprise System http://java.sun.com/products/jdo
> 
> 408 276-5638 mailto:Craig.Russell@sun.com
> 
> P.S. A good JDO? O, Gasp!
> 
> 


-- 
Michael Bouschen		Tech@Spree Engineering GmbH
mailto:mbo.tech@spree.de	http://www.tech.spree.de/
Tel.:++49/30/235 520-33		Buelowstr. 66			
Fax.:++49/30/2175 2012		D-10783 Berlin			

Mime
View raw message